.header{

	.header-top{
		background-color: $background-black-color;
		color: $shadow-color-text;
		font-size: 13px;

		.header-top-container{
			height: 30px;
		}

		.dropdown-selection{
			margin-right: 30px;

			&:last-child{
				margin-right: 0;
			}

			p{
				//margin-right: 15px;
			}

			.dropdown-toggle{
				color: $shadow-color-action;
			    border-radius: 5px 5px 0 0;
   				display: block;
   				padding: 0px 10px;

				&[aria-expanded='true']{
    				background-color: #242424;
				    color: $white;
				}

   				&:after{
					color: $shadow-color-text;
   				}
			}

			.dropdown-menu{
			    width: 72px;
			    min-width: unset;
			    border-radius: 0px 0px 5px 5px;
				background-color: #242424;
				font-size: 13px;

				li{

					a{
    					display: block;
						color: $white;
					    padding: 5px 10px;

						&:hover{
							background-color: unset;
						}
					}

					&:hover{
						background-color: $button-hover;
					}
				}
			}

			&.currency{

				.dropdown-menu{
					width: 59px;
				}
			}

			&.currentLang{

				.dropdown-menu{

					li{

						a{
						    padding: 5px 25px 5px 10px;
						}
					}
				}
			}
		}
	}

	.header-menu{
		background-color: $header-background-bar;

		.header-menu-container{
		    position: relative;
			padding-top: 15px;
			padding-bottom: 10px;

			@include mq("tablet", 'max') {
				padding: 0;
			}

			.logo-image{
				height: 45px;
			    width: 140px;
			    background-size: contain;
			    background-repeat: no-repeat;
			    background-position: center;
			}

			.menu{

				.menu-item{
					margin-right: 25px;

					@include mq("tablet", 'max') {
						margin-right: 0px;
					}

					.menu-link{
						text-transform: uppercase;
						font-size: 14px;
						line-height: 14px;
						color: $shadow-color-action;

						@include mq("tablet", 'max') {
							padding: 30px 15px;
						}

						.menu-icon{
							position: relative;
							width: 17px;
							height: 16px;
							background-size: contain;
						    background-repeat: no-repeat;
						    background-position: center;
						    margin-right: 10px;

						    &.home{
						    	background-image: url('../images/home-icon.png');
						    }

						    &.message{
						    	background-image: url('../images/message-icon.png');
						    }

						    &.dashboard{
						    	background-image: url('../images/dashboard-icon.png');
						    }

						    &.bars{
						    	background-image: url('../images/menu-icon.png');
						    }
						}
					}

					&.active,
					&:hover{

						.menu-link{
							color: $button-active;

							.menu-icon{

								&.home{
							    	background-image: url('../images/home-icon-active.png');
							    }

							    &.message{
							    	background-image: url('../images/message-icon-active.png');
							    }

							    &.dashboard{
							    	background-image: url('../images/dashboard-icon-active.png');
							    }

							    &.bars{
							    	background-image: url('../images/menu-icon-active.png');
							    }
							}
						}
					}

					&:last-child{
						margin-right: 0;

						.menu-link{

							.menu-icon{
							    margin-right: 0px;
							}
						}
					}
				}
			}

			.header-submenu-container{
				position: absolute;
			    right: -10px;
			    top: 70px;
			    width: 341px;
			    z-index: 5;
			    background-color: $white;
			    padding: 30px;
    			border-radius: 0 0 2px 2px;
			    -webkit-box-shadow: 0px 0px 40px -13px rgba(0,0,0,0.75);
			    -moz-box-shadow: 0px 0px 40px -13px rgba(0,0,0,0.75);
			    box-shadow: 0px 0px 40px -13px rgba(0,0,0,0.75);

				@include mq("tablet", 'max') {
			    	width: 100%;
			    	right: 0px;
				}

			    &:before{
			    	content: "";
			        position: absolute;
				    right: 10px;
				    top: -6px;
			    	width: 0; 
					height: 0; 
					border-left: 8px solid transparent;
					border-right: 8px solid transparent;
					border-bottom: 6px solid $white;
			    }

			    a{
			    	display: block;
				    margin-bottom: 20px;

			    	p{

			    		&:first-child{
			    			font-size: 16px;
			    			line-height: 16px;
			    			color: #444444;

			    			&:hover{
			    				color: #444444;
			    			}
			    		}

			    		&:last-child{
			    			font-size: 14px;
			    			line-height: 14px;
			    			color: #858484;

			    			&:hover{
			    				color: #858484;
			    			}
			    		}
			    	}
			    }

				& > a{
					margin-left: 50px;
					color: #444444;

					&:hover{
						color: #444444;
					}

			    	&:last-child{
			    		margin-bottom: 0;
			    	}
				}

				.submenu-items-container{
					padding-bottom: 30px;
				    margin-bottom: 20px;
				    border-bottom: 1px solid #eeece9;

				    a{

				    	&:last-child{
				    		margin-bottom: 0;
				    	}

				    	.submenu-icon{
				    		display: flex;
						    align-items: center;
						    justify-content: center;
						    flex-direction: column;
				    		width: 30px;
				    		height: 30px;
				    		margin-right: 20px;
				    		background-color: #f4f5f7;
				    		border-radius: 6px;

				    		.image{
				    			width: 16px;
				    			height: 16px;
							    background-size: contain;
							    background-repeat: no-repeat;
							    background-position: center;
				    		}
				    	}
				    }
				}
			}
		}
	}
}